# Thanks to malcolmlewis for help with this script
# Thanks to Tom "spot" Callaway for much of the patchwork
# Thanks to jhaygood for most of the icu patch

Name:           chromium-pepper-flash
Url:            http://www.google.com/chrome
BuildRequires:  rpm cpio

Summary:        Chromium Flash player plugin
Version:        18.0.0.160
Release:        1.1
License:        SUSE-Freeware
Group:          Productivity/Networking/Web/Browsers
Source0:        https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm
Source1:        https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm
# Use x86/x86_64 pre-built libs
ExclusiveArch:  %{ix86} x86_64
Recommends:     chromium-browser

%description
Pepper API based Adobe Flash plugin for Google's Open Source browser Chromium.

%package -n chromium-widevinecdm-plugin
Summary:        Chromium Widevine CDM plugin
License:        Non-OSS
Group:          Productivity/Networking/Web/Browsers
Requires:       chromium-browser

%description -n chromium-widevinecdm-plugin
Official Widevine CDM plugin for Google's Open Source browser Chromium.

%prep
%setup -c -T

%build
%ifarch i586
rpm2cpio %{SOURCE0} | cpio -idmv
%endif
%ifarch x86_64
rpm2cpio %{SOURCE1} | cpio -idmv
%endif

%install
mkdir -p %{buildroot}%{_libdir}/chromium/PepperFlash/
install -m644 opt/google/chrome/PepperFlash/* %{buildroot}%{_libdir}/chromium/PepperFlash/ 
install -m755 opt/google/chrome/libwidevinecdm.so %{buildroot}%{_libdir}/chromium/
install -m755 opt/google/chrome/libwidevinecdmadapter.so %{buildroot}%{_libdir}/chromium/

%post
CHROMIUM_CONFIG='/etc/default/chromium'
if [ -f "$CHROMIUM_CONFIG" ]; then
# add ppapi flashplayer path to chromium config file
if [[ $(cat "$CHROMIUM_CONFIG") != *ppapi*path* ]]; then
    sed -i '/CHROMIUM_FLAGS/s|"$| --ppapi-flash-path=/usr/%{_libdir}/chromium/PepperFlash/libpepflashplayer.so"|' "$CHROMIUM_CONFIG"
  else
    : # do nothing
fi
fi

%postun
CHROMIUM_CONFIG='/etc/default/chromium'
# remove ppapi flashplayer path from chromiun config file
if [ -f "$CHROMIUM_CONFIG" ]; then
    sed -i "s| --ppapi-flash-path=/usr/%{_libdir}/chromium/PepperFlash/libpepflashplayer.so||" "$CHROMIUM_CONFIG"
  else
    : # do nothing
fi

%files
%defattr(-,root,root,-)
%dir %{_libdir}/chromium/
%{_libdir}/chromium/PepperFlash/

%files -n chromium-widevinecdm-plugin
%defattr(-,root,root,-)
%{_libdir}/chromium/libwidevinecdm.so
%{_libdir}/chromium/libwidevinecdmadapter.so

%changelog
* Sat Sep  6 2014 dmitry_r@opensuse.org
- Set chromium-browser as recommended to avoid additional
  dependencies for freshplayerplugin
* Fri Apr 25 2014 tittiatcoke@gmail.com
- Update to 13.0.0.206
* Tue Apr  8 2014 tittiatcoke@gmail.com
- Update to 13.0.0.182
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Correct spec-file so that we install the libraries for the right
  architecture
- Cleanup spec-file
* Wed Mar 19 2014 mailaender@opensuse.org
- Update to 12.0.0.77.
* Sun Feb  9 2014 rwooninck@opensuse.org
- Update to 12.0.0.44.
* Fri Jan 17 2014 fisiu@opensuse.org
- Update to 12.0.0.41.
* Sun Dec 22 2013 fisiu@opensuse.org
- Update to 11.9.900.170.
* Wed Nov 13 2013 rwooninck@opensuse.org
- Update to 11.9.900.152
* Tue Oct 15 2013 fisiu@opensuse.org
- Update to 11.9.900.117.
* Mon Sep 30 2013 rwooninck@opensuse.org
- Add the official chrome PDF plugin as additional package
* Wed Aug 14 2013 guillaume@opensuse.org
- Add ExclusiveArch:  %%{ix86} x86_64 since it uses x86/x86_64 pre-built libs
* Mon Jul 29 2013 fisiu@opensuse.org
- Update to 11.8.800.96.
* Mon Jun 17 2013 fisiu@opensuse.org
- Proper source for version 11.7.700.225.
* Fri Jun 14 2013 fisiu@opensuse.org
- Update to 11.7.700.225.
* Fri May 24 2013 fisiu@opensuse.org
- Update to 11.7.700.203.
* Wed May  8 2013 fisiu@opensuse.org
- Update to 11.7.700.169.
- Add scriptlets to adjust chromium config file.
- Use stable build.
* Sat Mar  9 2013 rwooninck@opensuse.org
- Update to 11.6.602.177
* Thu Feb 28 2013 rwooninck@opensuse.org
- Initial version of the latest Pepper flash player which is
  included with the Google Chrome browser.
